package org.gcube.portlets.user.td.unionwizardwidget.client;

import org.gcube.portlets.user.td.gwtservice.shared.tr.union.UnionSession;
import org.gcube.portlets.user.td.widgetcommonevent.shared.TRId;
import org.gcube.portlets.user.td.wizardwidget.client.WizardWindow;

import com.allen_sauer.gwt.log.client.Log;
import com.google.web.bindery.event.shared.EventBus;

/**
 * 
 * @author "Giancarlo Panichi"
 *
 */
public class UnionWizardTD  extends WizardWindow  {
	protected static final int WITHWIZARD=720;
	protected static final int HEIGHTWIZARD=520;
	
	protected UnionSession unionSession;
	
	/**
	 * The id of the {@link CSVTarget} to use.
	 * @param targetId
	 */
	
	public UnionWizardTD(TRId trId, String title, EventBus eventBus)	{
		super(title,eventBus);
		Log.debug("UnionWizardTD: "+trId);
		setWidth(WITHWIZARD);
		setHeight(HEIGHTWIZARD);
		
		unionSession= new UnionSession();
		unionSession.setTrId(trId);
		
		TabResourcesSelectionCard tabResourcesSelection= new TabResourcesSelectionCard(unionSession);
		addCard(tabResourcesSelection);
		tabResourcesSelection.setup();
		
	}
	
	
	
	
}